For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
      • GETList Assets
      • GETGet Asset
      • POSTUpload Asset
      • PATCHUpdate Asset
      • DELDelete Asset
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
AssetsAssets

List Assets

GET
https://api.webflow.com/v2/sites/:site_id/assets
GET
/v2/sites/:site_id/assets
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/assets \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0 \
> -d offset=0 \
> -d limit=100
1{
2 "assets": [
3 {
4 "id": "63e5889e7fe4eafa7384cea4",
5 "contentType": "image/png",
6 "size": 2212772,
7 "siteId": "63938b302ea6b0aa6f3d8745",
8 "hostedUrl": "https://s3.amazonaws.com/webflow-prod-assets/63938b302ea6b0aa6f3d8745/63e5889e7fe4eafa7384cea4_Vectors-Wrapper.svg",
9 "originalFileName": "Candy-Wrapper.svg",
10 "displayName": "63e5889e7fe4eafa7384cea4_Candy-Wrapper.png",
11 "lastUpdated": "2023-03-01T23:42:57.862Z",
12 "createdOn": "2023-02-09T23:58:22.294Z",
13 "variants": [
14 {
15 "hostedUrl": "https://s3.amazonaws.com/webflow-prod-assets/6258612d1ee792848f805dcf/660d83ce30f3a599ddb0bdb3_Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
16 "originalFileName": "Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
17 "displayName": "660d83ce30f3a599ddb0bdb3_Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
18 "format": "png",
19 "width": 500,
20 "height": null,
21 "quality": 100,
22 "error": null
23 }
24 ],
25 "altText": "A single candy wrapper",
26 "folderId": "6390c49774a71f99f21a08eb"
27 },
28 {
29 "id": "63e5889e7fe4eafa7384cea5",
30 "contentType": "image/png",
31 "size": 2212772,
32 "siteId": "63938b302ea6b0aa6f3d8745",
33 "hostedUrl": "https://s3.amazonaws.com/webflow-prod-assets/63938b302ea6b0aa6f3d8745/63e5889e7fe4eafa7384cea4_Vectors-Wrapper.svg",
34 "originalFileName": "Gum-Wrapper.svg",
35 "displayName": "63e5889e7fe4eafa7384cea5_Gum-Wrapper.png",
36 "lastUpdated": "2023-03-01T23:42:57.862Z",
37 "createdOn": "2023-02-09T23:58:22.294Z",
38 "variants": [
39 {
40 "hostedUrl": "https://s3.amazonaws.com/webflow-prod-assets/6258612d1ee792848f805dcf/660d83ce30f3a599ddb0bdb3_Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
41 "originalFileName": "Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
42 "displayName": "660d83ce30f3a599ddb0bdb3_Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
43 "format": "png",
44 "width": 500,
45 "height": null,
46 "quality": 100,
47 "error": null
48 }
49 ],
50 "altText": "A single gum wrapper",
51 "folderId": null
52 }
53 ],
54 "pagination": {
55 "limit": 2,
56 "offset": 0,
57 "total": 2
58 }
59}

List of assets uploaded to a site

Required scope | assets:read

Was this page helpful?
Previous

Get Asset

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

folderIdstringOptionalformat: "objectid"

Filter assets to those in the specified folder and all descendant folders. Must be a 24-character hex ObjectId.

Response

Request was successful
assetslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error